%define anolis_release 1

Summary:        Image loading, saving, rendering, and manipulation library
Name:           imlib2
Version:        1.11.0
Release:        %{anolis_release}%{?dist}
License:        BSD
URL:            http://docs.enlightenment.org/api/imlib2/html/
Source0:        https://sourceforge.net/projects/enlightenment/files/imlib2-src/%{version}/imlib2-%{version}.tar.xz

BuildRequires:  libjpeg-devel libpng-devel libtiff-devel giflib-devel
BuildRequires:  freetype-devel >= 2.1.9
BuildRequires:  libtool pkgconfig make
BuildRequires:  bzip2-devel libwebp-devel
BuildRequires:  libX11-devel libXext-devel libid3tag-devel

%description
Imlib 2 is a library that does image file loading and saving as well
as rendering, manipulation, arbitrary polygon support, etc.  It does
ALL of these operations FAST. Imlib2 also tries to be highly
intelligent about doing them, so writing naive programs can be done
easily, without sacrificing speed.  This is a complete rewrite over
the Imlib 1.x series. The architecture is more modular, simple, and
flexible.


%package devel
Summary:        Development package for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       libX11-devel
Requires:       libXext-devel
Requires:       freetype-devel >= 2.1.9


%description devel
This package contains development files for %{name}.

Imlib 2 is a library that does image file loading and saving as well
as rendering, manipulation, arbitrary polygon support, etc.  It does
ALL of these operations FAST. Imlib2 also tries to be highly
intelligent about doing them, so writing naive programs can be done
easily, without sacrificing speed.  This is a complete rewrite over
the Imlib 1.x series. The architecture is more modular, simple, and
flexible.

%package utils
Summary:        Imlib2 related tools
Requires:       %{name} = %{version}-%{release}

%description utils
This package contains imlib2 related tools.


%package id3tag-loader
Summary:        Imlib2 id3tag-loader
Requires:       %{name} = %{version}-%{release}

%description id3tag-loader
This package contains a plugin which makes imlib2 capable of parsing id3 tags
of mp3 files. This plugin is packaged separately because it links with
libid3tag which is GPLv2+, thus making imlib2 and apps using it subject to the
conditions of the GPL version 2 (or at your option) any later version.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Doc files for %{name}


%prep
%autosetup -p1

%build
autoreconf -ifv
%configure --disable-static \
           --with-pic \
%ifarch x86_64
           --enable-amd64 \
%endif
           --disable-mmx

%{make_build}


%install
%{make_install}

%generate_compatibility_deps

%files
%license COPYING
%{_libdir}/libImlib2.so.*
%dir %{_libdir}/imlib2/
%dir %{_libdir}/imlib2/filters/
%{_libdir}/imlib2/filters/*.so
%dir %{_libdir}/imlib2/loaders/
%{_libdir}/imlib2/loaders/*.so
%exclude %{_libdir}/imlib2/loaders/id3.*
%dir %{abidir}
%{abidir}/*.dump

%files devel
%{_includedir}/Imlib2.h
%{_includedir}/Imlib2_Loader.h
%{_libdir}/libImlib2.so
%{_libdir}/pkgconfig/imlib2.pc

%files id3tag-loader
%{_libdir}/imlib2/loaders/id3.*

%files utils
%license COPYING
%dir %{_datadir}/imlib2/data/
%{_datadir}/imlib2/data/*
%{_bindir}/imlib2_*
%{abidir}/*-option.list

%files doc
%doc AUTHORS README TODO


%changelog
* Tue Apr 18 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.11.0-1
- init from upstream
